org.apache.ignite.internal.processors.query

## Class QueryIndexKey

- java.lang.Object
- - org.apache.ignite.internal.processors.query.QueryIndexKey

All Implemented Interfaces:
  Serializable

    public class QueryIndexKey
    extends Object
    implements Serializable

Index key.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`QueryIndexKey(String schemaName, String name)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)`
`int` `hashCode()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### QueryIndexKey

    public QueryIndexKey(String schemaName,
                         String name)

Constructor.

Parameters:
  `schemaName` - Schema name.
  `name` - Name.

### Method Detail

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### equals

    public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.0
Release Date | : November 30 2018